#Region
#AutoIt3Wrapper_Icon=traffic.ico
#EndRegion

#include <File.au3>
#include <GUIConstants.au3>
Opt( "GUIOnEventMode", 1 )
Opt( "WinTitleMatchMode", 2 )

$YaTrafDir = @ScriptDir & "\cache\Yandex_traf\z"							;    YaTraf
$timeout = IniRead ( "YaTraf.ini", "Timeout", "timeout", 60 )				;   

If Not ProcessExists ( "SASPlanet.exe" ) Then
	Run ( @ScriptDir & '\SASPlanet.exe' )
EndIf

WinWait ( 'SAS.' )
WinActivate ( "SAS." )

While ProcessExists ( 'SASPlanet.exe' )
	For $i=1 to 24														;    24 
		$path = $YaTrafDir & String ( $i )							;     
		If FileExists ( $path ) Then								;   ,
			DirRemove ( $path, 1 )									;  
		EndIf
	Next
		WinActivate ( "SAS." )												;     SAS.
		Send ( "{PGUP}{PGDN}" )												;    
		ToolTip ( " ..." )
		Sleep ( 3000 )
		ToolTip ( "" )
		Sleep ( $timeout * 1000 - 3000 )
Wend
Exit